# $Revision: 1.8 $, $Date: 2002/09/02 12:49:10 $
Summary:	Netbrake is an utility to limit the bandwidth used by a process
Summary(pl):	Netbrake jest narzdziem do ograniczania cza uywanego przez proces
Name:		netbrake
Version:	0.1
Release:	2
License:	GPL
Group:		Applications/Networking
Source0:	http://www.hping.org/netbrake/%{name}-%{version}.tar.gz
Patch0:		%{name}-make.patch
Patch1:		%{name}-types.patch
URL:		http://www.hping.org/netbrake/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Netbrake is an utility to limit the bandwidth used by a process. It
does not require to modify the kernel, nor to be root in order to
work. It is useful when you need to download a very big file from a
fast server to avoid a network congestion that will result in a too
slow web/irc/... experience. I use it mostly to download big files
(like the kernel source code) with wget.

Netbrake also implements a very simple HTTP filesystem extension, so
you can use the standard text utils against some URL

%description -l pl
Netbrake jest narzdziem do ograniczania przepustowosci acza
uywanego przez proces. Nie wymaga modyfikacji jdra, dziaa na
zwykym koncie, jest uywany gwnie wtedy, gdy chcemy cign due
pliki np za. pomoc wgeta czy lynksa.

%prep
%setup -q -n %{name}_%{version}
%patch0 -p0
%patch1 -p1

%build
%configure

%{__make} CFLAGS="%{rpmcflags} " CC="%{__cc}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir},%{_bindir}}

%{__make} install \
	      LIBPATH=$RPM_BUILD_ROOT%{_libdir} BINPATH=$RPM_BUILD_ROOT%{_bindir}

%post    -p /sbin/ldconfig
%postun  -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS LICENSE THANKS README TODO
%attr(755,root,root) %{_bindir}/netbrake
%attr(755,root,root) %{_libdir}/libnetbrake.so.*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: netbrake.spec,v $
Revision 1.8  2002/09/02 12:49:10  qboosh
- fixed build on alpha (types patch), new %%doc, release 2

Revision 1.7  2002/02/27 13:42:41  pioklo
- rename file patch location

Revision 1.6  2002/02/27 03:36:36  kloczek
- pass also CC="%%{__cc}" to make parameters.

Revision 1.5  2002/02/26 12:55:42  pioklo
rename patch file

Revision 1.4  2002/02/26 10:08:29  qboosh
- adapterized, cosmetics
